/* String that identifies the hardware.
 *
 * Note: For 200 series products, default to the p205 or m205.
 *       For 300 series products, default to the m305.
 *       This should be parameterized in util.
 */
const char hwIdString[] =
#if (defined(SYS_M200))
      "m200";
#elif (defined(SYS_M202))
      "m202";
#elif (defined(SYS_M204))
      "m204";
#elif (defined(SYS_M207))
       "m207";
#elif (defined(SYS_M208))
      "m208";
#elif (defined(SYS_M215))
      "m215";
#elif (defined(SYS_M270))
      "m270";
#else
      "m305";
#endif
