// From: Yang Tse <yangsita@gmail.com>
// To: mernst@csail.mit.edu
// Subject: CPP partial evaluator - Minor glitches
// Date: Sat, 3 Dec 2005 04:24:33 +0100
// 
// Hello Michael,
// 
// I am trying your CPP partial evaluator against some C source code and have
// found a couple of issues with cppp. The reason for me reporting this to you
// is that you state taht you are always happy to receive comments, bug reports
// and fixes, and improvements to the code.
// 
// So here we go ...

 #if TESTA >= 0x0090581fL
#endif

// Testcase A fails when a long constant is defined as above ending in letter
// 'L'  with the following message: What expression? 0x0090581fL at
// cppp.pl.oldline 632.

/* Body of TESTB */

// Testcase B: If you specifically undefine TESTB using '-U TESTB' the output
// generated is just the line "this are allowed in C */" instead of the two
// comment lines that the C preprocessor would have allowed.
// 
// On the other hand a construnction like the one in testcase C is not legal
// for the C preprocessor and most of them flag a warning and ignore code on
// the same line as a preprocessor directive.
// 
int res=5;
