;; Directives variation
(defun directives-variation ()
  (let ((tbl-directives-breakdown-scaled
	 (mapcar (lambda (l)
		   (let ((divisor (car (last l))))
		     (mapcar (lambda (x)
			       (/ x divisor))
			     (butlast l))))
		 tbl-directives-breakdown)))
    ;; Order is: other	line	conditional	include	undef	define
    (map 'list #'list
     (reduce #'(lambda (l1 l2) (map 'list #'min l1 l2)) tbl-directives-breakdown-scaled)
     (reduce #'(lambda (l1 l2) (map 'list #'max l1 l2)) tbl-directives-breakdown-scaled)
     )))
;; (directives-variation)
