
#include "FilePathUtils.h"

#if defined(__unix__)	/* cppp replaced: elif */

const size_t kMaxNameLenSansExt = PATH_MAX - 4;
const size_t kMaxNamelength 	= PATH_MAX;

#else

const size_t kMaxNameLenSansExt = _MAX_FNAME - 4;
const size_t kMaxNamelength 	= _MAX_FNAME;

#endif

//Adds a component to the end of path.  Returns path.
unicode::string16 AddPathComponentw(const unicode::string16& path, const unicode::string16& component)
{
	unicode::string16 sum = path;
	const int pathsize = sum.size();

	//
	// Changed the implementation for reduction, as some cases were not handled and
	// some were not handled correctly.  Leaving the current implementation in for
	// now in case problems are discovered with the new one.  10/24/2002 - Lance
	//
	const unicode::string16 SeperatorString = kWideFolderDelineator + kWideBackStep;
	const unicode::string16::size_type Seperator_size = SeperatorString.size();
	unicode::string16::size_type pos = sum.find(SeperatorString);

	for ( ; pos != unicode::string16::npos; pos = sum.find(SeperatorString))
	{
		// Check for special cases
		//
		// in					out
		// ---------			-----------------------------------------
		//
		if (pos > 0)
		{
			unicode::char16 c = path[pos - 1];
		}

		// posSep		in					out
		// ------		---------			-----------------------------------------
		//	npos		dir\..\				<empty>
		//
	}

	return sum;
}

